# Institution

Source: https://docs.gocardless.com/docs/api-reference/institution

## List Institutions

`GET /institutions`

Returns a list of supported institutions.

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## List institutions for Billing Request

`GET /billing_requests/{billing_request_id}/institutions`

Returns all institutions valid for a Billing Request.

This endpoint is currently supported only for FasterPayments.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billing_request_id` | path | string | Yes | The billing request id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
